Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.kgss.impl
Class KgssServiceImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.kgss.impl.KgssServiceImpl

All Implemented Interfaces:
  ConfigurationModuleBootstrap.ModuleBootstrapHook, KgssService

    public class KgssServiceImpl

extends Object
implements KgssService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `KgssService`

Field Summary
`static String` | `EHEALTH_SUCCESS_CODE_100` The eHealth success codes.
`static String` | `EHEALTH_SUCCESS_CODE_200` The eHealth success codes.

Constructor Summary
`KgssServiceImpl()`

Method Summary
`void` | `bootstrap()`
`static boolean` | `checkReplyStatus(String responseCode)` Check reply status of the web service call, return true when OK.
`KeyResult` | `getKey(GetKeyRequestContent request, byte[] kgssETK, SessionItem session)` Gets the key.
`GetKeyResponseContent` | `getKey(GetKeyRequestContent request, Credential encryption, Credential service, Element samlAssertion, Map<String,PrivateKey> decryptionKeys, byte[] etkKGSS)` Gets the key.
`KeyResult` | `getNewKey(GetNewKeyRequestContent request, byte[] kgssETK)` Asks KGSS to generate and store a new key.
`GetNewKeyResponseContent` | `getNewKey(GetNewKeyRequestContent request, Credential encryption, Map<String,PrivateKey> decryptionKeys, byte[] etkKGSS)` Gets the new key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EHEALTH_SUCCESS_CODE_100

    public static final String EHEALTH_SUCCESS_CODE_100

  The eHealth success codes.

  See Also:
    Constant Field Values

### EHEALTH_SUCCESS_CODE_200

    public static final String EHEALTH_SUCCESS_CODE_200

  The eHealth success codes.

  See Also:
    Constant Field Values

Constructor Detail

### KgssServiceImpl

    public KgssServiceImpl()

Method Detail

### getNewKey

    public KeyResult getNewKey(GetNewKeyRequestContent request,
                               byte[] kgssETK)
                        throws TechnicalConnectorException

  Description copied from interface: `KgssService`
  Asks KGSS to generate and store a new key. It returns the Key with the Key Identifier

  Specified by:
    `getNewKey` in interface `KgssService`
  Parameters:
    `request` - the request
    `kgssETK` - the kgss etk
  Returns:
    the new key
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getKey

    public KeyResult getKey(GetKeyRequestContent request,
                            byte[] kgssETK,
                            SessionItem session)
                     throws TechnicalConnectorException

  Description copied from interface: `KgssService`
  Gets the key.

  Specified by:
    `getKey` in interface `KgssService`
  Parameters:
    `request` - the request
    `kgssETK` - the kgss etk
    `session` - the session
  Returns:
    the key
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getNewKey

    public GetNewKeyResponseContent getNewKey(GetNewKeyRequestContent request,
                                              Credential encryption,
                                              Map<String,PrivateKey> decryptionKeys,
                                              byte[] etkKGSS)
                                       throws TechnicalConnectorException

  Gets the new key.

  Specified by:
    `getNewKey` in interface `KgssService`
  Parameters:
    `request` - the request
    `encryption` - the encryption
    `decryptionKeys` - the decryption keys
    `etkKGSS` - the etk kgss
  Returns:
    the new key
  Throws:
    `TechnicalConnectorException` - the technical connector exception When a technical exception occurs

### getKey

    public GetKeyResponseContent getKey(GetKeyRequestContent request,
                                        Credential encryption,
                                        Credential service,
                                        Element samlAssertion,
                                        Map<String,PrivateKey> decryptionKeys,
                                        byte[] etkKGSS)
                                 throws TechnicalConnectorException

  Gets the key.

  Specified by:
    `getKey` in interface `KgssService`
  Parameters:
    `request` - the request
    `encryption` - the encryption
    `service` - the service
    `decryptionKeys` - the decryption keys
    `etkKGSS` - the etk kgss
    `samlAssertion` - the saml assertion
  Returns:
    the key
  Throws:
    `TechnicalConnectorException` - the technical connector exception When a technical exception occurs

### checkReplyStatus

    public static boolean checkReplyStatus(String responseCode)
                                    throws TechnicalConnectorException

  Check reply status of the web service call, return true when OK.

  Parameters:
    `responseCode` - the response code
  Returns:
    true, if successful
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.